Bug 117520 - Policy errors during bootup related to swap
Policy errors during bootup related to swap
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-04 17:02 EST by Vaclav "sHINOBI" Misek
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-05 08:42:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vaclav "sHINOBI" Misek 2004-03-04 17:02:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040217

Description of problem:
avc:  denied  { read } for  pid=272 exe=/sbin/swapon
name=locale-archive dev=hda2 ino=4899100
scontext=system_u:system_r:fsadm_t tcontext=root:object_r:lib_t
tclass=file

avc:  denied  { getattr } for  pid=272 exe=/sbin/swapon
path=/usr/lib/locale/locale-archive dev=hda2 ino=4899100
scontext=system_u:system_r:fsadm_t tcontext=root:object_r:lib_t
tclass=file

Version-Release number of selected component (if applicable):
policy-1.7-3

How reproducible:
Always

Steps to Reproduce:
1. boot machine
2.
3.
    

Expected Results:  No avc errors

Additional info:

I'm using Ext3 filesystem and the system is after reboot after update
to the latest policy package. System is not in enforced mode.
Comment 1 Bill Nottingham 2004-03-04 21:41:39 EST
What happens if you relabel /usr/lib/locale/locale-archive?
Comment 2 Daniel Walsh 2004-03-05 08:42:44 EST
This has been fixed in the latest policy.  Try policy-1.7-4

Dan

Note You need to log in before you can comment on or make changes to this bug.